hsmutil.c File Reference
`#include "config.h"`
`#include <stdio.h>`
`#include <string.h>`
`#include <stdlib.h>`
`#include <syslog.h>`
`#include <unistd.h>`
`#include "libhsm.h"`
`#include "hsmtest.h"`
`#include <libhsmdns.h>`

Go to the source code of this file.

## Functions

hsm_repository_t * | parse_conf_repositories (const char *cfgfile)
int | main (int argc, char *argv[])

## Variables

char * | optarg
char * | progname = NULL
unsigned int | verbose = 0
hsm_ctx_t * | ctx = NULL

## Function Documentation

## main()

int main | ( | int | argc,
|  | char * | argv[] )

Definition at line 607 of file hsmutil.c.

References ctx, hsm_close(), hsm_create_context(), hsm_destroy_context(), hsm_get_error(), HSM_OK, hsm_open2(), hsm_prompt_pin(), optarg, parse_conf_repositories(), progname, and verbose.

## parse_conf_repositories()

hsm_repository_t * parse_conf_repositories | ( | const char * | cfgfile | ) |

extern

Parse the repositories.

Definition at line 51 of file confparser.c.

References hsm_repository_new(), and hsm_repository_struct::next.

Referenced by main().

## Variable Documentation

## ctx

hsm_ctx_t* ctx = NULL

Definition at line 46 of file hsmutil.c.

Referenced by hsm_check_context(), hsm_ctx_set_error(), hsm_destroy_context(), hsm_find_key_by_id(), hsm_generate_dsa_key(), hsm_generate_ecdsa_key(), hsm_generate_eddsa_key(), hsm_generate_gost_key(), hsm_generate_rsa_key(), hsm_get_dnskey(), hsm_get_error(), hsm_get_key_id(), hsm_get_key_info(), hsm_list_keys(), hsm_list_keys_repository(), hsm_print_ctx(), hsm_print_key(), hsm_print_tokeninfo(), hsm_random32(), hsm_random64(), hsm_random_buffer(), hsm_remove_key(), hsm_sign_rrset(), hsm_test(), hsm_token_attached(), keycache_create(), keycache_destroy(), keycache_lookup(), and main().

## optarg

char* optarg

extern

## progname

char* progname = NULL

Definition at line 44 of file hsmutil.c.

## verbose

unsigned int verbose = 0

Definition at line 45 of file hsmutil.c.

Referenced by main().